Package dev.plex.storage

# Class SQLConnection

java.lang.Object
dev.plex.storage.SQLConnection

All Implemented Interfaces:
  `PlexBase`

public class SQLConnection extends Object implements PlexBase

## Field Summary

Fields
Modifier and Type
Field
Description
`private com.zaxxer.hikari.HikariDataSource`
`dataSource`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`SQLConnection()`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getCon()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dataSource

private com.zaxxer.hikari.HikariDataSource dataSource

## Constructor Details

### SQLConnection

public SQLConnection()

## Method Details

### getCon

public Connection getCon()